%define xtag X11R7.2
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	X.Org X11 X protocol C binding
Name: 		libxcb
Version: 	1.1
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://xcb.freedesktop.org/wiki/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
Patch0:         libxcb-1.1-no-pthread-stubs.patch
Patch1:		libxcb-1.1-abstract-socket.patch
Patch2:		libxcb-1.1-sloppy-lock.patch
BuildRequires: 	pkg-config
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  libXau-devel
BuildRequires:  libXdmcp-devel
BuildRequires:  glibc-devel
BuildRequires:  libpthread-stubs
# Require for rpm lzma compression
Requires:        rpm >= 4.4.2.3-1

Requires(pre): xorg-x11-filesystem >= 0.99.2-3


%description
The X protocol C-language Binding (XCB) is a replacement for Xlib  featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility.

%package devel
Summary: 	X.Org X11 xcb development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

%description devel
X.Org X11 xcb development package

%package doc
Summary:        X.Org X11 xcb documentation
Group:          Development/Libraries
Requires(pre):  xorg-x11-filesystem >= 0.99.2-3
Requires:       %{name} = %{version}-%{release}

%description doc
X.Org X11 xcb documentation

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .pthread-stubs
%patch1 -p1 -b .abstract
%patch2 -p1 -b .sloppier

# Disable static library creation by default.
%define with_static 0

%build
%configure \
	--disable-dependency-tracking \
%if ! %{with_static}
	--disable-static
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :

# FIXME: Don't install Xcms.txt - find out why upstream still ships this.
find $RPM_BUILD_ROOT -name 'Xcms.txt' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libxcb*

%files doc
%defattr(-,root,root,-)
%{_datadir}/doc

%files devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/pkgconfig/xcb*

%changelog
* Wed May 28 2008 Christian Metzen <metzench@ccux-linux.de> 1.1-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0-2
- rebuilt against libxslt 1.1.22
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0-1
- Initial release
